Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 821296 - Review Request: drpython - python IDE
Summary: Review Request: drpython - python IDE
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-05-14 01:34 UTC by Adrian Alves
Modified: 2013-08-25 13:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-25 12:46:46 UTC


Attachments (Terms of Use)

Description Adrian Alves 2012-05-14 01:34:31 UTC
Spec URL: http://alvesadrian.fedorapeople.org/drpython.spec
SRPM URL: http://alvesadrian.fedorapeople.org/drpython-3.11.1-1.fc16.src.rpm
Description: DrPython is a highly customizable, simple, and clean editing environment for developing Python programs. It is intended primarily for use in schools, and is a tribute to DrScheme.

Comment 1 Sergio Monteiro Basto 2012-05-14 18:53:34 UTC
fedora-review -b 821296 --mock-config fedora-16-x86_64

[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Architecture_Support
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: The package did not built BR could therefore not be checked or the
     package failed to build because of missing BR
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros

Comment 2 Sergio Monteiro Basto 2012-05-14 19:19:19 UTC
http://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage
(...) and have BuildRequires: desktop-file-utils

Comment 3 Adrian Alves 2012-05-14 23:03:54 UTC
(In reply to comment #1)
> fedora-review -b 821296 --mock-config fedora-16-x86_64
> 
> [x]: SHOULD Spec use %global instead of %define.
> 
> Issues:
> [!]: MUST Package successfully compiles and builds into binary rpms on at
>      least one supported primary architecture.
> See: http://fedoraproject.org/wiki/Packaging/Guidelines#Architecture_Support
> [!]: MUST All build dependencies are listed in BuildRequires, except for any
>      that are listed in the exceptions section of Packaging Guidelines.
>      Note: The package did not built BR could therefore not be checked or the
>      package failed to build because of missing BR
> See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
> [!]: MUST Each %files section contains %defattr if rpm < 4.4
>      Note: defattr(....) present in %files section. This is OK if packaging
>      for EPEL5. Otherwise not needed
> See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
> [!]: MUST Package consistently uses macros (instead of hard-coded directory
>      names).
>      Note: Using both %{buildroot} and $RPM_BUILD_ROOT
> See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
Fixed, check this out:
Spec URL: http://alvesadrian.fedorapeople.org/drpython.spec
SRPM URL: http://alvesadrian.fedorapeople.org/drpython-3.11.1-1.fc16.src.rpm

Comment 5 Sergio Monteiro Basto 2012-05-15 18:38:51 UTC
Some details 

[!]: SHOULD Spec use %global instead of %define.
     Note: %define nameup DrPython

drpython.src: W: spelling-error %description -l en_US customizable -> customization

drpython.src: W: non-standard-group Development/Python

drpython.src: E: tag-not-utf8 %changelog

drpython.src: E: non-utf8-spec-file /tmp/rpmlint.drpython-3.11.1-2.fc16.src.rpm.Ek4ENv/drpython.spec

drpython.src:3: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 2)

Comment 6 Adrian Alves 2012-05-15 23:21:23 UTC
(In reply to comment #5)
> Some details 
> 
> [!]: SHOULD Spec use %global instead of %define.
>      Note: %define nameup DrPython
> 
> drpython.src: W: spelling-error %description -l en_US customizable ->
> customization
> 
> drpython.src: W: non-standard-group Development/Python
> 
> drpython.src: E: tag-not-utf8 %changelog
> 
> drpython.src: E: non-utf8-spec-file
> /tmp/rpmlint.drpython-3.11.1-2.fc16.src.rpm.Ek4ENv/drpython.spec
> 
> drpython.src:3: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 2)

Fixed
Spec URL: http://alvesadrian.fedorapeople.org/drpython.spec
SRPM URL: http://alvesadrian.fedorapeople.org/drpython-3.11.1-3.fc16.src.rpm

Comment 7 Sergio Monteiro Basto 2012-05-16 18:08:38 UTC
Al least fix errors: 

drpython.src: W: spelling-error %description -l en_US customizable -> customization

drpython.src: W: non-standard-group Development/Python

drpython.src: E: tag-not-utf8 %changelog

drpython.src: E: non-utf8-spec-file /tmp/rpmlint.drpython-3.11.1-2.fc16.src.rpm.KpH03m/drpython.spec

drpython.src:3: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 2)
1 packages and 0 specfiles checked; 2 errors, 3 warnings.

Comment 8 Adrian Alves 2012-05-16 23:01:53 UTC
(In reply to comment #7)
> Al least fix errors: 
> 
> drpython.src: W: spelling-error %description -l en_US customizable ->
> customization
> 
> drpython.src: W: non-standard-group Development/Python
> 
> drpython.src: E: tag-not-utf8 %changelog
> 
> drpython.src: E: non-utf8-spec-file
> /tmp/rpmlint.drpython-3.11.1-2.fc16.src.rpm.KpH03m/drpython.spec
> 
> drpython.src:3: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 2)
> 1 packages and 0 specfiles checked; 2 errors, 3 warnings.

Sergio I already chance those are u checking my new spec on my people? please check it release 3 has all those fixes.

Spec URL: http://alvesadrian.fedorapeople.org/drpython.spec
SRPM URL: http://alvesadrian.fedorapeople.org/drpython-3.11.1-3.fc16.src.rpm

Regards, Adrian.-

Comment 9 Adrian Alves 2012-05-17 22:34:21 UTC
(In reply to comment #7)
> Al least fix errors: 
> 
> drpython.src: W: spelling-error %description -l en_US customizable ->
> customization
> 
> drpython.src: W: non-standard-group Development/Python
> 
> drpython.src: E: tag-not-utf8 %changelog
> 
> drpython.src: E: non-utf8-spec-file
> /tmp/rpmlint.drpython-3.11.1-2.fc16.src.rpm.KpH03m/drpython.spec
> 
> drpython.src:3: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 2)
> 1 packages and 0 specfiles checked; 2 errors, 3 warnings.

I already fix those issues:

Spec URL: http://alvesadrian.fedorapeople.org/drpython.spec
SRPM URL: http://alvesadrian.fedorapeople.org/drpython-3.11.1-3.fc16.src.rpm

Comment 10 Sergio Monteiro Basto 2012-05-18 01:08:45 UTC
still 2 the we can fix : 

iconv drpython.spec -c > tmp
diff tmp drpython.spec
128c128
< * Tue Sep 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 161-2mdv2007.0
---
> * Tue Sep 05 2006 Nicolas L�cureuil <neoclust@mandriva.org> 161-2mdv2007.0

clean � please 


do you use vim ?
http://vim.wikia.com/wiki/Converting_tabs_to_spaces

:set expandtab (this is default code style now)
:set tabstop=4 (also my default)
:retab (and all tabs fixed)

Comment 11 Adrian Alves 2012-05-19 18:39:05 UTC
(In reply to comment #10)
> still 2 the we can fix : 
> 
> iconv drpython.spec -c > tmp
> diff tmp drpython.spec
> 128c128
> < * Tue Sep 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 161-2mdv2007.0
> ---
> > * Tue Sep 05 2006 Nicolas L�cureuil <neoclust@mandriva.org> 161-2mdv2007.0
> 
> clean � please 
> 
> 
> do you use vim ?
> http://vim.wikia.com/wiki/Converting_tabs_to_spaces
> 
> :set expandtab (this is default code style now)
> :set tabstop=4 (also my default)
> :retab (and all tabs fixed)

Fixed:
Spec URL: http://alvesadrian.fedorapeople.org/drpython.spec
SRPM URL: http://alvesadrian.fedorapeople.org/drpython-3.11.1-3.fc16.src.rpm

Comment 12 Sergio Monteiro Basto 2012-05-22 18:41:57 UTC
(In reply to comment #11)

> > do you use vim ?
> > http://vim.wikia.com/wiki/Converting_tabs_to_spaces
> > 
> > :set expandtab (this is default code style now)
> > :set tabstop=4 (also my default)
> > :retab (and all tabs fixed)

not fixed , 

but rpm -ql drpython
/%_iconsdir/drpython.png
/%_iconsdir/hicolor/16x16/apps/drpython.png
/%_iconsdir/hicolor/32x32/apps/drpython.png
/%_iconsdir/hicolor/48x48/apps/drpython.png
/%_liconsdir/drpython.png
/%_miconsdir/drpython.png

cd /etc/rpm/
grep iconsdir *

rpm -qf macros.jpackage
jpackage-utils-1.7.5-15.fc16.x86_64

or you put jpackage-utils-1.7.5-15.fc16.x86_64 in BuildRequires or change
%_iconsdir      %{_datadir}/icons
%_miconsdir     %{_datadir}/icons/mini
%_liconsdir     %{_datadir}/icons/large

Comment 13 Adrian Alves 2012-05-23 01:04:06 UTC
(In reply to comment #12)
> (In reply to comment #11)
> 
> > > do you use vim ?
> > > http://vim.wikia.com/wiki/Converting_tabs_to_spaces
> > > 
> > > :set expandtab (this is default code style now)
> > > :set tabstop=4 (also my default)
> > > :retab (and all tabs fixed)
> 
> not fixed , 
> 
> but rpm -ql drpython
> /%_iconsdir/drpython.png
> /%_iconsdir/hicolor/16x16/apps/drpython.png
> /%_iconsdir/hicolor/32x32/apps/drpython.png
> /%_iconsdir/hicolor/48x48/apps/drpython.png
> /%_liconsdir/drpython.png
> /%_miconsdir/drpython.png
> 
> cd /etc/rpm/
> grep iconsdir *
> 
> rpm -qf macros.jpackage
> jpackage-utils-1.7.5-15.fc16.x86_64
> 
> or you put jpackage-utils-1.7.5-15.fc16.x86_64 in BuildRequires or change
> %_iconsdir      %{_datadir}/icons
> %_miconsdir     %{_datadir}/icons/mini
> %_liconsdir     %{_datadir}/icons/large
New release with ur suggestions:
Spec URL: http://alvesadrian.fedorapeople.org/drpython.spec
SRPM URL: http://alvesadrian.fedorapeople.org/drpython-3.11.1-4.fc16.src.rpm

Comment 14 Christopher Meng 2013-04-28 11:37:59 UTC
What's the current status?

Comment 15 Sergio Monteiro Basto 2013-04-28 14:06:54 UTC
I'm out for now

Comment 16 Mario Blättermann 2013-06-02 11:50:38 UTC
For SourceForge stuff, use the following download location:
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.zip

See http://fedoraproject.org/wiki/Packaging:SourceURL#Sourceforge.net for more info.


python-devel is deprecated, use python2-devel instead:
https://fedoraproject.org/wiki/Packaging:Python#BuildRequires


$ rpmlint -i -v *spec
drpython.spec:3: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 2)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

I recommend to use spaces only, then your spec looks the same in every text editor.


BuildRequires:	python
doesn't make sense, because we need the development files of Python explicitely. Can be safely dropped from BR.

Comment 17 Mario Blättermann 2013-08-25 12:46:46 UTC
There was no answer from the submitter for 15 months, and the needinfo request two months ago is also without response. I close it as FE-DEADREVIEW.


Note You need to log in before you can comment on or make changes to this bug.